/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.person.apio.internal.architect.provider;

import com.liferay.apio.architect.provider.Provider;
import com.liferay.person.apio.internal.query.FullNameQuery;

import java.util.Optional;

import javax.servlet.http.HttpServletRequest;

import org.osgi.service.component.annotations.Component;

/**
 * @author Alejandro Hernández
 */
@Component
public class FullNameQueryProvider implements Provider<FullNameQuery> {

	@Override
	public FullNameQuery createContext(HttpServletRequest httpServletRequest) {
		return () -> Optional.ofNullable(
			httpServletRequest.getParameter("query")
		).filter(
			string -> string.startsWith("name=")
		).map(
			string -> string.substring(5)
		);
	}

}