/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.person.apio.internal.query;

import java.util.Optional;

/**
 * Instances of this interface represent a query for retrieving persons by name.
 *
 * @author Alejandro Hernández
 * @review
 */
public interface FullNameQuery {

	/**
	 * Returns the user's name to search for.
	 *
	 * @return the user's name
	 * @review
	 */
	public Optional<String> getFullNameOptional();

}